using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATRule")]
public partial class Atrule
{
    [Column("EventID")]
    public int EventId { get; set; }

    [Column("ProcessID")]
    public int ProcessId { get; set; }

    [StringLength(255)]
    public string EventName { get; set; } = null!;

    [StringLength(64)]
    public string? Type1 { get; set; }

    [StringLength(64)]
    public string? Value1 { get; set; }

    [StringLength(64)]
    public string? Compare { get; set; }

    [StringLength(64)]
    public string? Type2 { get; set; }

    [StringLength(64)]
    public string? Value2 { get; set; }
}
